package cz.utb.tadis.attacks.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ModusOperandi {
    COMMON_TOOLS("Běžně dostupné nářadí a nástroje"),
    PHYSICAL_ASSAULT("Fyzické napadení beze zbraně"),
    COLD_WEAPON("Chladná zbraň"),
    CYBERATTACK("Kyberútok"),
    VEHICLE("Nájezd vozidla"),
    TEAR_GAS("Slzný plyn"),
    GUN("Střelná zbraň"),
    ACID("Útok kyselinou"),
    EXPLOSIVE_GRENADE("Výbušnina - granát"),
    EXPLOSIVE_NVS("Výbušnina - NVS"),
    EXPLOSIVE_SUICIDE("Výbušnina - sebevražedný útok"),
    ARSON("Žhářství");

    private String label;

    ModusOperandi(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @JsonProperty
    public String getName() {
        return name();
    }

}
